Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025211
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformmajorhave not tried2013-11-25 12:562014-08-08 18:53
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revisionfab9b7248bbb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025211: Filter by selected value in FK uses identifier instead of ID

DescriptionFilters for FK columns after selecting a value in drop down list execute query based on FK's identifier rather than ID.
Steps To Reproduce-Go to Sales Order
-Clean filters
-Open Business Parnter drop down in filter and select a value
-Check DB query
  * it does something like select * from C_Order e left join C_BPartner p where p.name = 'yourValue'

This query would be better if it were:

select * from C_Order e where e.C_BPartner_ID = 'yourID'
TagsPerformance
Attached Filesdocx file icon PerformanceIssuewhenFiltering.docx [^] (19,356 bytes) 2014-04-15 10:57

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025210 newAugustoMauch Adaptive filtering not working for FK dropdown filters 
related to defect 00251823.0PR14Q2 closedalostale Query in org drop down in the list field is having bad performance 
related to design defect 0026279 closedAugustoMauch Performance Issue when Filtering on Identifier Columns 
related to defect 00254473.0PR14Q2 closedshankarb isNull filter expression is not working properly for table reference 
related to defect 00258083.0PR14Q3 closedguillermogil Filtering the * organization does not work properly 
related to defect 0036421 acknowledgedplatform Financial Account records are not filtered by name if the filter contains "-" 
related to defect 0037097 closedplatform Adaptive Filter by ID not working properly with table references using a not ID column as key column 
blocks design defect 0025221 newAugustoMauch The query done when filtering a foreign key column should be improved 
blocks design defect 0025009 closedAugustoMauch Filters for columns with multiple identifiers are not working properly under some circunstances 
causes defect 00273033.0PR14Q4 closedAugustoMauch direct link filtered by FK column doesn't work 
causes defect 0027706 closedAugustoMauch Wrong filtering when there are records with the same identifier 
causes defect 0027769 closedAugustoMauch Record id shown in grid filtering, when adding a new column to the grid 
causes defect 0027788 closedAugustoMauch Filters don't work properly on Manage Stock 
causes defect 0028388 closedalostale Unexpected behavior after reopen "Transaction Document" dropdown selector with selected filter. 
causes defect 0028386 closedalostale FK filter dropdown show only previously selected elements when it is reopened 
causes defect 00302743.0PR15Q4 closedcaristu In saved views with multiple criteria in one field, the uuid value is shown in the column header when filtering sometimes 

-  Notes
(0062389)
AugustoMauch (developer)
2013-11-26 23:33

The ID should be used not only in the filter done just after picking a value, but also in the subsequents filters unless text has been entered in that column filter manually.
(0063724)
alostale (developer)
2014-01-27 16:26

Revisit issue 0025009 when fixing this one
(0068434)
AugustoMauch (developer)
2014-06-30 13:02

Review also the filter of tabs based on HQL tables
(0068626)
hgbot (developer)
2014-07-14 17:10

Repository: erp/devel/pi
Changeset: fab9b7248bbb2a08d1486d2481f4478722a83186
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jul 14 17:08:24 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/fab9b7248bbb2a08d1486d2481f4478722a83186 [^]

Fixes issue 25211, fixes issue 26279: Merges fkfilters project branch with pi

---
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_FIELD.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_SYSTEM.xml
M modules/org.openbravo.client.application/src-db/database/model/tables/OBUIAPP_GC_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_ELEMENT.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewUtil.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/ForeignKeyUIDefinition.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
---
(0068660)
hgbot (developer)
2014-07-16 10:34

Repository: erp/devel/pi
Changeset: c028f776d1e6a92bd3005af03146522ec5a90a8b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jul 16 10:19:36 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c028f776d1e6a92bd3005af03146522ec5a90a8b [^]

Related with issue 25211: Adds Grid Configuration tables to Client Dataset

These tables have been added to the Client Definition dataset, so that they can be exported to the sample data:
- obuiapp_gc_system
- obuiapp_gc_tab
- obuiapp_gc_field

---
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
---
(0068661)
hgbot (developer)
2014-07-16 10:34

Repository: erp/devel/pi
Changeset: 28a538b03f18f823eb821d9d9a6b901ceba32b3e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jul 16 10:25:41 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/28a538b03f18f823eb821d9d9a6b901ceba32b3e [^]

Related with issue 25211: Adds Grid Configuration to QA Testing sampledata

A Grid Configuration setting has been added to theQA Testing sample data in order to test the FKPERF040_FilterForeignKeyColumnWithIdentifierFilteringDisabled test. The Grid Configuration is used in the FKPERF040_FilterForeignKeyColumnWithIdentifierFilteringDisabled test.

The Grid Configuration added does not allow to filter using the identifier in the Visible at Client field of the header tab of the Preference window.

---
A referencedata/sampledata/QA_Testing/OBUIAPP_GC_FIELD.xml
A referencedata/sampledata/QA_Testing/OBUIAPP_GC_TAB.xml
---
(0068664)
hgbot (developer)
2014-07-16 13:23

Repository: erp/devel/pi
Changeset: 5b81f61f12f26a452dab09da24c15bf7d9faf69e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Jul 16 13:23:07 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5b81f61f12f26a452dab09da24c15bf7d9faf69e [^]

Related to issue 25211: Backs out change in QA Testing source data

The change done to the QA Testing source data was breaking the ClientExportImportTest.testDeleteClient test:

 [junit] org.openbravo.base.exception.OBSecurityException: Entity OBUIAPP_GC_Tab may only have instances with client 0
    [junit] at org.openbravo.base.validation.AccessLevelChecker.failOnNonZeroClient(AccessLevelChecker.java:105)
    [junit] at org.openbravo.base.validation.AccessLevelChecker$1.checkAccessLevel(AccessLevelChecker.java:55)
    [junit] at org.openbravo.base.model.Entity.checkAccessLevel(Entity.java:337)

---
R referencedata/sampledata/QA_Testing/OBUIAPP_GC_FIELD.xml
R referencedata/sampledata/QA_Testing/OBUIAPP_GC_TAB.xml
---
(0068691)
hgbot (developer)
2014-07-17 10:30

Repository: erp/devel/pi
Changeset: 571b30a9364576f658637c97cc16143b5e50a699
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Jul 17 10:29:50 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/571b30a9364576f658637c97cc16143b5e50a699 [^]

Related with issue 25211: Adds Grid Config to QA Testing sampledata (updated)

A Grid Configuration setting has been added to theQA Testing sample data in order to test the FKPERF040_FilterForeignKeyColumnWithIdentifierFilteringDisabled test. The Grid Configuration is used in the FKPERF040_
FilterForeignKeyColumnWithIdentifierFilteringDisabled test.

The Grid Configuration added does not allow to filter using the identifier in the Visible at Client field of the header tab of the Preference window.

Now the grid configuration is set to use the System client.

---
A referencedata/sampledata/QA_Testing/OBUIAPP_GC_FIELD.xml
A referencedata/sampledata/QA_Testing/OBUIAPP_GC_TAB.xml
---
(0068723)
alostale (developer)
2014-07-18 11:46

Implemented as a project: http://wiki.openbravo.com/wiki/Projects:Foreign_Key_Filtering_Performance_Improvement [^]
(0068724)
alostale (developer)
2014-07-18 11:47

code reviewed + tested (see http://wiki.openbravo.com/wiki/Projects:Foreign_Key_Filtering_Performance_Improvement/QA [^])
(0069157)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069168)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069169)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069171)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test
(0069177)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-25 12:56 alostale New Issue
2013-11-25 12:56 alostale Assigned To => AugustoMauch
2013-11-25 12:56 alostale Modules => Core
2013-11-25 12:56 alostale Triggers an Emergency Pack => No
2013-11-25 12:57 alostale Tag Attached: Performance
2013-11-25 12:57 alostale Relationship added related to 0025210
2013-11-25 12:57 alostale Relationship added related to 0025182
2013-11-26 23:33 AugustoMauch Note Added: 0062389
2013-11-26 23:48 AugustoMauch Relationship added blocks 0025221
2013-12-17 10:39 alostale Relationship added related to 0025009
2014-01-08 19:00 alostale Relationship added related to 0025447
2014-01-27 16:26 alostale Relationship replaced blocks 0025009
2014-01-27 16:26 alostale Note Added: 0063724
2014-03-04 16:10 alostale Relationship added related to 0025808
2014-04-15 10:57 alostale File Added: PerformanceIssuewhenFiltering.docx
2014-04-30 01:56 egoitz Issue Monitored: egoitz
2014-04-30 01:56 egoitz Issue Monitored: networkb
2014-04-30 01:56 egoitz Relationship added related to 0026279
2014-04-30 17:23 johnfandl Issue Monitored: johnfandl
2014-06-30 13:02 AugustoMauch Note Added: 0068434
2014-07-14 17:06 AugustoMauch Issue Monitored: alostale
2014-07-14 17:06 AugustoMauch Review Assigned To => alostale
2014-07-14 17:10 hgbot Checkin
2014-07-14 17:10 hgbot Note Added: 0068626
2014-07-14 17:10 hgbot Status new => resolved
2014-07-14 17:10 hgbot Resolution open => fixed
2014-07-14 17:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/fab9b7248bbb2a08d1486d2481f4478722a83186 [^]
2014-07-16 10:34 hgbot Checkin
2014-07-16 10:34 hgbot Note Added: 0068660
2014-07-16 10:34 hgbot Checkin
2014-07-16 10:34 hgbot Note Added: 0068661
2014-07-16 13:23 hgbot Checkin
2014-07-16 13:23 hgbot Note Added: 0068664
2014-07-17 10:30 hgbot Checkin
2014-07-17 10:30 hgbot Note Added: 0068691
2014-07-18 11:46 alostale Note Added: 0068723
2014-07-18 11:47 alostale Note Added: 0068724
2014-07-18 11:47 alostale Status resolved => closed
2014-07-18 11:47 alostale Fixed in Version => 3.0PR14Q4
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069157
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069168
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069169
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069171
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069177
2014-08-11 09:39 alostale Relationship added causes 0027303
2014-09-29 17:53 AugustoMauch Relationship added causes 0027706
2014-10-07 08:40 alostale Relationship added causes 0027769
2014-10-13 10:35 alostale Relationship added causes 0027788
2014-12-15 08:37 alostale Relationship added causes 0028388
2014-12-16 08:23 alostale Relationship added causes 0028386
2015-07-01 12:29 alostale Relationship added causes 0030274
2017-07-05 18:07 caristu Relationship added related to 0036421
2017-10-18 11:09 caristu Relationship added related to 0037097


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker